Bug 172334 - Invalid message 'Aieee!!! Remote IRR still set after unlock'
Invalid message 'Aieee!!! Remote IRR still set after unlock'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-11-02 16:45 EST by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:50:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport of RHEL4 patch to remove printk on read of undefined ioapic bit in level trigger mode (753 bytes, patch)
2005-11-02 16:51 EST, Neil Horman
no flags Details | Diff
patch committed to RHEL3 U7 last week (2.10 KB, patch)
2005-11-21 19:34 EST, Ernie Petrides
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-11-02 16:45:06 EST
Escalated to Bugzilla from IssueTracker
Comment 4 Neil Horman 2005-11-02 16:51:19 EST
Created attachment 120662 [details]
backport of RHEL4 patch to remove printk on read of undefined ioapic bit in level trigger mode

This is a backport of the RHEL4 patch for this printk on the incorrect reading
of the IRR bit when the apic is servicing a level triggered interrupt
Comment 5 Samuel Benjamin 2005-11-03 11:01:42 EST
Thanks for porting the rhel4 patch to address this in the i386 portion of rhel3.

Will it  also be appropriate to remove this piece of the code from the x86_64
file   (linux-2.4.21/arch/x86_64/kernel/io_apic.c) ?
Comment 7 Ernie Petrides 2005-11-17 23:53:28 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.9.EL).
Comment 8 Samuel Benjamin 2005-11-21 18:12:56 EST
Per c#5 are we making the same change in the x86_64 source ? Thanks.
Comment 9 Ernie Petrides 2005-11-21 19:34:23 EST
Created attachment 121325 [details]
patch committed to RHEL3 U7 last week

Yes.  I've attached the patch that was committed.
Comment 14 Red Hat Bugzilla 2006-03-15 11:50:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.